vnsc5858威尼斯城官网完美安装Ubuntu 12.10最新AMD显卡

时间:2019-10-12 20:42来源:计算机教程
在 Ubuntu 9.04 中安装VBoxLinuxAdditions 时遇到错误的解决办法 编者按: Ubuntu 显卡驱动安装需谨慎,无事别折腾这个,注意注意,本文只做参考。 昨天下完更新包后寝室要熄灯,于是今天才

Ubuntu 9.04 中安装 VBoxLinuxAdditions 时遇到错误的解决办法

编者按:Ubuntu 显卡驱动安装需谨慎,无事别折腾这个,注意注意,本文只做参考。

昨天下完更新包后寝室要熄灯,于是今天才安装更新。重启后却提示我 ABI major version(4) doesn't match the server's version(5),另外还有 vboxadd 的模块错误。其解决办法如下:

Ubuntu 12.10安装完毕后一切运行正常,显卡也木有啥大问题,就是挂起待机的时候不能恢复,直接黑屏。安装Ubuntu自动的ati/amd开源驱动出现桌面什么都木有的问题,一片空白unity根本不会启动,要是Ubuntu 12.04还能进入unity-2d

先在提示的错误框中选择第一个,进入 Simple 模式。进入 GNOME 后,建立一个文件夹 ~/leniytemp 备用。接着在命令行输入:

只好自己安装amd卡的驱动

sudo ./VBoxLinuxAdditions-x86.run --target ~/leniytemp

我的驱动型号:AMD Radeon HD 6xxx

amd64 的类似。这次安装会提示 X Server 因为版本不匹配安装失败。然后进入 ~/leniytemp,修改 install.sh 文件:

官方amd驱动下载地址:http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx

sudo gedit install.sh

官方安装说明:http://www2.ati.com/relnotes/Catalyst_11.10_Linux_Installer.pdf

在第 415 行(Ctrl I 可以查找行号),把 1.5.99.* | 1.6 中的 1.6 换成 1.6.0 然后保存。

步骤如下:

sudo ./install.sh

代码:

再安装一次,重启。解决问题。

$7z x amd-driver-installer-catalyst-12.10-x86.x86_64.zip

来自http://linuxtoy.org/archives/ubuntu-904-and-vboxlinuxadditions.html

代码:

vnsc5858威尼斯城官网 1

$sudo sh amd-driver-installer-catalyst-12.10-x86.x86_64.run

提示错误:

引用:

One or more tools required for installation cannot be found on the system.

vnsc5858威尼斯城官网,Install the required tools before installing the fglrx driver. Optionally, run the installer with --force option to install without the tools.

Forcing install will disable amd hardware acceleration and may make your system unstable. Not recommended.

See usr/share/ati/fglrx-install.log for more details.

解决如下:

编辑:计算机教程 本文来源:vnsc5858威尼斯城官网完美安装Ubuntu 12.10最新AMD显卡

关键词: